# class RArray | Resizable array class. More...
Definition | `#include <netwm_p.h>`
Template form | RArray<class Z>
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- RArray ()
- ~RArray ()
- Z & operator[] (int)
- int size () const

## Detailed Description

Resizable array class.

This resizable array is used to simplify the implementation. The existance of this class is to keep the implementation from depending on a separate framework/library.

RArray () | ### RArray

Constructs an empty (size == 0) array.

~RArray () | ### ~RArray

Resizable array destructor.

Z & operator[] (int) | ### operator[]

The [] operator does the work. If the index is larger than the current size of the array, it is resized.

int size () | ### size

[const]

Returns the size of the array.

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:13 2001, using kdoc 2.0a53.